Subject: Re: [urn] continued use of [email-masked] list

From: Barry Leiba <[email-masked]>
Date: Fri, 9 Jan 2015 11:50:34 +0800

Closing the loop on this:

> Again, I'll defer to your decision about not combining the two
> lists now, but note that, IMO, the continued separation is
> weakening the work of this WG and increasing the risk of bad
> results.

Thanks.  So here's the deal:

1. The IESG has just given approval for draft-higgs-hbbtv-urn, and as
soon as he posts a new version I'm going to let it go out.  That
covers the in-process ones.

2. I will not start processing on any other URN namespace requests
until this WG has finished the update.

3. I'll watch the time-frame on that, and reserve the right to
reconsider at some point.

Fair?

Barry

On Tue, Dec 30, 2014 at 10:28 PM, John C Klensin <[email-masked]> wrote:
>
>
> --On Monday, December 29, 2014 15:37 -0500 Barry Leiba
> <[email-masked]> wrote:
>
>>>> So I think we should put "[email-masked]" into the draft as the
>>>> address for review/discussions of namespace proposals, with
>>>> the understanding that this will attain force when the draft
>>>> is published as an RFC.
>>>
>>> Actually, I think we should go a step further.  I think we
>>> should celebrate the new year and expected rapid progress in
>>> the WG
>>
>> One can hope, and I do.
>>
>>> by blocking all pending and future URN namespace
>>> registrations by referring them to the WG for formal review
>>> until 2141bis is approved and becomes the new procedure.
>>
>> I strongly disagree with blocking pending ones.  There is only
>> one, and there's no reason to stop it now.  If you see
>> something wrong with it, say so specifically.  If not, let it
>> be approved, and we'll deal only with the future now.
>
> Some observations below, but I'm going to defer to you on this
> because I just don't have time or energy to both have a long
> discussion and to make progress on the URNBIS WG documents.
>
>> The urn-nid list is not a secret, and anyone here who thinks
>> they need to scrutinize NID requests now more strongly than
>> earlier... need only go there and do so.  It would be sillier
>> to have those requesting NIDs post to and follow this list,
>> which goes far beyond what they know or care to know.
>
> I was actually thinking about the issue the other way around.
> It has long been my experience that anyone who is active in the
> IETF, knows where to find things or who to ask, and have lots of
> time on their hands can find or follow just about anything that
> amuses them.  There have historically been exceptions, but they
> are few and becoming fewer.   However, one of several issues
> with URNBIS is that people are coming into the discussions with
> the perspective of one particular set of needs and advocating
> for them on the implicit assumption that, if those needs are
> accommodated, everything else will be taken care of [1].
>
> The result is that we aren't getting a sufficient number of
> perspectives and that increases the risks that we will get
> something seriously wrong by omitting consideration of an
> important case.  So my thinking was to create a situation in
> which someone proposing a new URN namespace and NID was more or
> less forced, as a condition for getting that NID, to follow and
> participate in the WG, primarily wrt two questions:
>
>         (i) Would any of the changes being proposed either hurt
>         or help setting up their namespace, and any others
>         similar to it that they can think about, be defined in a
>         way that is clear, reasonable, and natural?
>
>         (ii) Are there additional changes that should or should
>         not be made that would be significant from their
>         perspective?
>
> Now, one could figure out other ways to ask those questions than
> having them emerge in a dialog with the WG, and try to assure
> that we got answers, then forcing applicants onto the on the URN
> mailing list and holding the applications until the WG signed
> off.  But, right now, it appears to me that we are not, and have
> not been, getting those answers from the perspective of any
> recent applicants other than Sean, and he hasn't been involved
> for very long.
>
>>> I note that RFC 3406 not only requires IETF Consensus for new
>>> URN namespaces but explicitly quotes the portion of RFC 2434
>>> pointing to referral to relevant WGs, so it has probably been
>>> an error to approve new URN namespaces since this "bis" WG
>>> came into being without formally asking the WG for it
>>> consensus opinion.
>>
>> Hm.
>> I don't see it that way.  What I say above has always applied,
>> and the existing documents shunted the work over to urn-nid
>> for good reason. It's been quite a good thing, really, through
>> most of the life of this working group, that it hasn't
>> directly been on the hook for reviewing and approving NID
>> requests.  Participants here can be presumed to know well that
>> urn-nid is where those go, and to know well how to go there
>> too.
>
> See above.
>
>>...
>>> but I believe that the IETF Last Call on
>>> draft-higgs-hbbtv-urn should not be closed out and an IESG
>>> vote taken until this WG has formally reviewed it for
>>> conformance to our plans going forward
>>
>> Please, let's not do that.  Let's just include that in the
>> above "what's done is done" category, and let it finish.
>> Unless you see specific harm, of course, which you absolutely
>> should comment on.
>
> I actually commented, at some length, on the GSMA/IMEI
> namespace(s) (now RFC 7254 and 7255).  Those comments went
> nowhere, including no useful responses from the authors or GSMA.
> I considered making a fuss during the last round of IETF Last
> Call (and, if necessary, on appeal) and concluded that
>
>  (i) I'm reluctant to tell another standards body what
>         they need, even though I'd be a lot happier if there was
>         some sort of roadmap rather than "this request now and
>         maybe there will be others later";
>  (ii) I don't see a particular example, in its own
>         namespace and with its own NID, as being especially
>         harmful -- especially since nothing says "you get to use
>         this as a precedent" -- even if there were serious
>         problems with it;
>  (iii) URNBIS wasn't nearly far enough along for us to
>         have a serious discussion about one GSMA namespace and
>         qualifiers of various sorts (?-components ?) that would
>         identify different uses of that namespace.  I do note
>         that, AFAIK, the situation with GSMA is rather different
>         from that with ISO/TC 46.  In the latter case, there are
>         separate registration authorities and oversight
>         arrangements for, e.g., ISSN and ISBN.  If the
>         registrations arrived, de novo, under the procedures
>         outlined in 2141bis (and the former 3406bis), they would
>         almost certainly arrive from different applicants.
>         GSMA, again AFAIK, is a little more monolithic, so it
>         would be reasonable to press for "one organization, one
>         broad set of topics, one namespace" or at least for an
>         explanation of why that was not appropriate;
>  (iv)  I just don't have time to both fight individual
>         URN namespace battles (unless they are obviously
>         critical-path), try to drag i18n work along, and pay
>         attention to anything else IETF-related.
>
>
>>...
>> I am mostly happy to hold the future requests up, and I think
>> it's not unreasonable to do that, provided that we do put a
>> time limit on it.
>
> Again, see the discussion of motivation above.
>
>> The possible exception is "lex", which has been held up very
>> long already.  It is, on the other hand, one that I find
>> problematic for a number of reasons, and when the authors have
>> responded to my last comments to them I'm inclined to ask you,
>> John, to be its document shepherd... which may, in itself,
>> throw it into the "delayed" pile (if you share my concerns, at
>> least some of them, and/or have your own).
>
> In the interest of future discussion and to keep this note from
> getting longer, I'll reply separately on that subject.
>
> Again, I'll defer to your decision about not combining the two
> lists now, but note that, IMO, the continued separation is
> weakening the work of this WG and increasing the risk of bad
> results.
>
> best,
>     john
>
>
> [1] There are more negative versions of that story, including
> "as long as my needs are met, I don't care about anything else",
> but such hypotheses are unnecessary to my point.
>
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn

---

From: John C Klensin <[email-masked]>
Date: Fri, 09 Jan 2015 14:46:32 -0500

--On Friday, January 09, 2015 11:50 +0800 Barry Leiba
<[email-masked]> wrote:

> 1. The IESG has just given approval for draft-higgs-hbbtv-urn,
> and as soon as he posts a new version I'm going to let it go
> out.  That covers the in-process ones.
> 
> 2. I will not start processing on any other URN namespace
> requests until this WG has finished the update.
> 

Certainly reasonable.
    john

---

From: Sean Leonard <[email-masked]>
Date: Sat, 10 Jan 2015 23:34:52 -0800

I am catching up on e-mail and, other than my parenthetical note about a 
couple of drafts, was unable to respond to this thread until now.

On 12/29/2014 12:37 PM, Barry Leiba wrote:
>>> address for review/discussions of namespace proposals[...]
>>> should celebrate the new year and expected rapid progress in the
>>> WG
> One can hope, and I do.
>
and:
> and that authors or proponents of
>
> [drafts]
>
> should be notified that their drafts [1] are going to be
> referred to the WG for formal review when IETF Consensus
> approval is formally requested.

I completely disagree with, and would like to point out the 
contradiction in terms, about: "I think we should celebrate...rapid 
progress...*by blocking all pending and future [work]...*"

With all due respect to the technical acumen of the URNBIS participants, 
that WG has been around for a couple of years already and has failed to 
produce thus far. There has been change of personnel, directional 
problems, etc. Moreover, the group did not meet at IETF 91.

Meanwhile there are a number of URN NID proposals that have languished 
or have been blocked for seemingly obscure technical reasons, or because 
people are evaluating the proposals based on shifting sands (i.e., 
URNBIS drafts) rather than objective, consensus-based criteria (RFC 
2141, RFC 3406, etc.).

People are debating about angels on the head of a pin, while 
implementers, in good faith, are trying hard to build applications and 
deliver them to market that make use of this technology area.

If proposed NIDs don't match opinions in the URNBIS work, maybe that 
should be a clue that (shifting) concepts around URNs is not delivering 
the value that folks need to get out of this work. Practice should 
inform the theory. And, in particular, drafts initiated up to now 
(really, up until URNBIS finishes producing) should not be held up.

Thus, the proposal "not [to] start not start processing on any other URN 
namespace requests until [the URNBIS] WG has finished the update" is 
both unfair to participants and technically unsound.

(Under the current rules, new formal URN namespace registrations require 
IETF Consensus. Therefore if any particular proposed NID conflicts with 
the clear direction of the URNBIS work, a sufficiently small faction of 
motivated URNBIS participants can block it anyway. That alone should get 
proposed namespace authors and URNBIS participants to play nice, without 
making one camp beholden to the other.)

Thank you,

Sean

---

From: Barry Leiba <[email-masked]>
Date: Sun, 11 Jan 2015 21:50:42 +0800

> I completely disagree with, and would like to point out the contradiction in
> terms, about: "I think we should celebrate...rapid progress...*by blocking
> all pending and future [work]...*"
...
> namespace requests until [the URNBIS] WG has finished the update" is both
> unfair to participants and technically unsound.

Sean, I understand what you're saying, and I share some of your
concern here, which is why, in my "closing the loop" message, I said
that I'm watching the time and will re-evaluate if we remain stalled.
But I also understand the concern about (1) registering more and more
URN namespaces without taking into account the changes that are in the
works and (2) registering more and more URN namespaces without getting
input from the registrants about whether the changes that are in the
works suit their needs.

I'm therefore willing to delay those requests for a reasonable time in
order to try to get that input and have the changes taken into
account.  Let's see how things go over the next couple of months, and
then figure out where we are.

Barry

On Sun, Jan 11, 2015 at 3:34 PM, Sean Leonard <[email-masked]> wrote:
> I completely disagree with, and would like to point out the contradiction in
> terms, about: "I think we should celebrate...rapid progress...*by blocking
> all pending and future [work]...*"
>
> produce thus far. There has been change of personnel, directional problems,
> etc. Moreover, the group did not meet at IETF 91.
>
> Meanwhile there are a number of URN NID proposals that have languished or
> have been blocked for seemingly obscure technical reasons, or because people
> are evaluating the proposals based on shifting sands (i.e., URNBIS drafts)
> rather than objective, consensus-based criteria (RFC 2141, RFC 3406, etc.).
>
> People are debating about angels on the head of a pin, while implementers,
> in good faith, are trying hard to build applications and deliver them to
> market that make use of this technology area.
>
> If proposed NIDs don't match opinions in the URNBIS work, maybe that should
> be a clue that (shifting) concepts around URNs is not delivering the value
> that folks need to get out of this work. Practice should inform the theory.
> And, in particular, drafts initiated up to now (really, up until URNBIS
> finishes producing) should not be held up.
>
> namespace requests until [the URNBIS] WG has finished the update" is both
> unfair to participants and technically unsound.
>
> IETF Consensus. Therefore if any particular proposed NID conflicts with the
> clear direction of the URNBIS work, a sufficiently small faction of

---

From: Sean Leonard <[email-masked]>
Date: Mon, 12 Jan 2015 00:04:57 -0800

> then figure out where we are.

I can't speak for the other draft authors, but...I can live with a 
couple of months. Plenty of other I-Ds to write. <g>

Cheers,

Sean

---

From: Juha Hakala <[email-masked]>
Date: Mon, 12 Jan 2015 12:22:19 +0200

Hello,

> until this WG has finished the update.

This should apply to the revision of existing namespaces - such as ISBN 
and NBN - as well. But once the URN syntax has been updated, I'll 
provide new versions of namespace registration requests for these 
identifiers.

These identifiers will support f- and q-components. But specifying which 
resolution services will (initially) be supported would not be really 
useful, since any list would become outdated fairly soon. And resolvers 
may support only a subset of potential services (or some informal 
services which are not yet widely known).

> reconsider at some point.

Depends on how long it will be necessary to wait. The National Library 
of Finland wishes to register a URN namespace for International Standard 
Collection Identifier (ISCI), but we can wait a few weeks / months.

Best regards,

Juha

-- 

  Juha Hakala
  Senior advisor

  The National Library of Finland
  Library Network Services
  P.O.Box 26 (Teollisuuskatu 23)
  FIN-00014 Helsinki University
  Tel. +358 9 191 44293
  Mobile +358 50 3827678

---

From: Barry Leiba <[email-masked]>
Date: Mon, 12 Jan 2015 11:51:56 -0500

> This should apply to the revision of existing namespaces - such as ISBN and
> NBN - as well. But once the URN syntax has been updated, I'll provide new
> versions of namespace registration requests for these identifiers.
...
> Depends on how long it will be necessary to wait. The National Library of
> Finland wishes to register a URN namespace for International Standard

Thanks, Juha: this is very helpful.

Barry

---

From: "Svensson, Lars" <[email-masked]>
Date: Tue, 13 Jan 2015 08:32:25 +0000

> Thanks, Juha: this is very helpful.

The same applies to the German National Library: We have some registration requests in the pipeline, but we don't need to have them processed by tomorrow.

Best,

Lars